## notmuch 0.15.2

=== Makefile ===
# We want the all target to be the implicit target (if no target is
# given explicitly on the command line) so mention it first.
all:

# List all subdirectories here. Each contains its own Makefile.local
subdirs := compat completion emacs lib man parse-time-string
subdirs += performance-test util test

# We make all targets depend on the Makefiles themselves.
global_deps = Makefile Makefile.config Makefile.local \
	$(subdirs:%=%/Makefile) $(subdirs:%=%/Makefile.local)

# Sub-directory Makefile.local fragments can append to these variables
# to have directory-specific cflags as necessary.

extra_cflags :=
extra_cxxflags :=

# Get settings from the output of configure by running it to generate
# Makefile.config if it doesn't exist yet.

# If Makefile.config doesn't exist, then srcdir won't be
# set. Conditionally set it (assuming a plain srcdir build) so that
# the rule to generate Makefile.config can actually work.
srcdir ?= .

include Makefile.config
Makefile.config: $(srcdir)/configure
ifeq ($(configure_options),)
	@echo ""
	@echo "Note: Calling ./configure with no command-line arguments. This is often fine,"
	@echo "      but if you want to specify any arguments (such as an alternate prefix"
	@echo "      into which to install), call ./configure explicitly and then make again."
	@echo "      See \"./configure --help\" for more details."
	@echo ""
endif
	$(srcdir)/configure $(configure_options)

# Finally, include all of the Makefile.local fragments where all the
# real work is done.

include $(subdirs:%=%/Makefile.local) Makefile.local

=== debian/changelog ===
notmuch (0.15.2-2) unstable; urgency=low

  * Bug fix: tighten dependence of notmuch-mutt on notmuch,
    thanks to Philippe Gimmel and Jameson Rollins (Closes: #703608).
  * Bump Standards-Version to 3.9.4; no changes.

 -- David Bremner <bremner@debian.org>  Sat, 25 May 2013 18:37:23 -0300

notmuch (0.15.2-1) experimental; urgency=low

  * Upstream bug fix release.
    - Improve support for parallel building
    - Update Emacs tests for portability, fix FTBFS on hurd-i386

 -- David Bremner <bremner@debian.org>  Fri, 22 Mar 2013 20:42:42 -0400

notmuch (0.15.1-1) experimental; urgency=low

  * Upstream bug fix release: set default TERM for running tests.
  * Re-enable build time self-tests.

 -- David Bremner <bremner@debian.org>  Thu, 24 Jan 2013 07:19:45 -0400

notmuch (0.15-2) experimental; urgency=low

  * Disable tests until a proper fix for running tests without a
    proper TERM value is developed (again).

 -- David Bremner <bremner@debian.org>  Sun, 20 Jan 2013 18:36:16 -0400

notmuch (0.15-1) experimental; urgency=low

  * New upstream release.
    - Date range search support
    - Empty tag names and tags beginning with "-" are deprecated
    - Support for single message mboxes is deprecated
    - Fixed `notmuch new` to skip ignored broken symlinks
    - New dump/restore format and tagging interface
    - Emacs Interface
      - Removal of the deprecated `notmuch-folders` variable
      - Visibility of MIME parts can be toggled
      - Emacs now buttonizes mid: links
      - Improved text/calendar content handling
      - Disabled coding conversions when reading
      - Fixed errors with HTML email containing images in Emacs 24
      - Fixed handling of tags with unusual characters in them
      - Fixed buttonization of id: links without quote characters
      - Automatic tag changes are now unified and customizable
      - Support for stashing the thread id in show view
      - New add-on tool: notmuch-pick

 -- David Bremner <bremner@debian.org>  Fri, 18 Jan 2013 21:23:36 -0400

notmuch (0.15~rc1-1) experimental; urgency=low

  * New upstream release candidate.
  * Change priority to optional (Closes: #687217).
  * Remove Dm-Upload-Allowed field, as this is no longer used by
    Debian.
  * Add python3 bindings, thanks to Jakub Wilk (Closes: #683515).
  * Bug fix: ".ical attachment problem", (Closes: #688747).

 -- David Bremner <bremner@debian.org>  Wed, 16 Jan 2013 08:28:27 -0400

=== debian/control ===
Source: notmuch
Section: mail
Priority: optional
Maintainer: Carl Worth <cworth@debian.org>
Uploaders:
 Jameson Graef Rollins <jrollins@finestructure.net>,
 martin f. krafft <madduck@debian.org>,
 David Bremner <bremner@debian.org>
Build-Depends:
 debhelper (>= 9),
 pkg-config,
 libxapian-dev,
 libgmime-2.6-dev (>= 2.6.7~) | libgmime-2.4-dev,
 libtalloc-dev,
 libz-dev,
 python-all (>= 2.6.6-3~),
 python3-all (>= 3.1.2-7~),
 emacs23-nox | emacs23 (>=23~) | emacs23-lucid (>=23~) |
 emacs24-nox | emacs24 (>=24~) | emacs24-lucid (>=24~),
 gdb,
 dtach (>= 0.8)
Standards-Version: 3.9.4
Homepage: http://notmuchmail.org/
Vcs-Git: git://notmuchmail.org/git/notmuch
Vcs-Browser: http://git.notmuchmail.org/git/notmuch

Package: notmuch
Architecture: any
Depends: libnotmuch3 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Recommends: notmuch-emacs | notmuch-vim | notmuch-mutt,  gnupg-agent
Description: thread-based email index, search and tagging
 Notmuch is a system for indexing, searching, reading, and tagging
 large collections of email messages in maildir or mh format. It uses
 the Xapian library to provide fast, full-text search with a very
 convenient search syntax.
 .
 This package contains the notmuch command-line interface

Package: libnotmuch3
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: thread-based email index, search and tagging (runtime)
 Notmuch is a system for indexing, searching, reading, and tagging
 large collections of email messages in maildir or mh format. It uses
 the Xapian library to provide fast, full-text search with a very
 convenient search syntax.
 .
 This package contains the runtime library, necessary to run
 applications using libnotmuch.

Package: libnotmuch-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libnotmuch3 (= ${binary:Version})
Description: thread-based email index, search and tagging (development)
 Notmuch is a system for indexing, searching, reading, and tagging
 large collections of email messages in maildir or mh format. It uses
 the Xapian library to provide fast, full-text search with a very
 convenient search syntax.
 .
 This package provides the necessary development libraries and header
 files to allow you to develop new software using libnotmuch.

Package: python-notmuch
Architecture: all
Section: python
Depends: ${misc:Depends}, ${python:Depends}, libnotmuch3
Description: python interface to the notmuch mail search and index library
 Notmuch is a system for indexing, searching, reading, and tagging
 large collections of email messages in maildir or mh format. It uses
 the Xapian library to provide fast, full-text search with a very
 convenient search syntax.
 .
 This package provides a Python interface to the notmuch
 functionality, directly interfacing with a shared notmuch library.

Package: python3-notmuch
Architecture: all
Section: python
Depends: ${misc:Depends}, ${python3:Depends}, libnotmuch3
Description: Python 3 interface to the notmuch mail search and index library
 Notmuch is a system for indexing, searching, reading, and tagging
 large collections of email messages in maildir or mh format. It uses
 the Xapian library to provide fast, full-text search with a very
 convenient search syntax.
 .
 This package provides a Python 3 interface to the notmuch
 functionality, directly interfacing with a shared notmuch library.

Package: notmuch-emacs
Architecture: all
Section: mail
Breaks: notmuch (<<0.6~254~)
Replaces: notmuch (<<0.6~254~)
Depends: ${misc:Depends}, notmuch (>= ${source:Version}),
 emacs23 (>= 23~) | emacs23-nox (>=23~) | emacs23-lucid (>=23~) |
 emacs24 (>= 24~) | emacs24-nox (>=24~) | emacs24-lucid (>=24~)
Description: thread-based email index, search and tagging (emacs interface)
 Notmuch is a system for indexing, searching, reading, and tagging
 large collections of email messages in maildir or mh format. It uses
 the Xapian library to provide fast, full-text search with a very
 convenient search syntax.
 .
 This package provides an emacs based mail user agent based on
 notmuch.

Package: notmuch-vim
Architecture: all
Section: mail
Breaks: notmuch (<<0.6~254~)
Replaces: notmuch (<<0.6~254~)
Depends: ${misc:Depends}, notmuch, vim-addon-manager
Description: thread-based email index, search and tagging (vim interface)
 Notmuch is a system for indexing, searching, reading, and tagging
 large collections of email messages in maildir or mh format. It uses
 the Xapian library to provide fast, full-text search with a very
 convenient search syntax.
 .
 This package provides a vim based mail user agent based on
 notmuch.

Package: notmuch-mutt
Architecture: all
Depends:
 notmuch (>= 0.4),
 libmail-box-perl, libmailtools-perl,
 libstring-shellquote-perl, libterm-readline-gnu-perl,
 libfile-which-perl,
 ${misc:Depends}
Recommends: mutt, fdupes
Enhances: notmuch, mutt
Description: thread-based email index, search and tagging (Mutt interface)
 notmuch-mutt provides integration among the Mutt mail user agent and
 the Notmuch mail indexer.
 .
 notmuch-mutt offer two main integration features. The first one is
 the ability of stating a search query interactively and then jump to
 a fresh Maildir containing its search results only. The second one is
 the ability to reconstruct threads on the fly starting from the
 current highlighted mail.

=== debian/rules ===
#!/usr/bin/make -f

python3_all = py3versions -s | xargs -n1 | xargs -t -I {} env {}

%:
	dh $@ --with python2,python3

override_dh_auto_configure:
	dh_auto_configure -- --emacslispdir=/usr/share/emacs/site-lisp/notmuch

override_dh_auto_build:
	dh_auto_build
	dh_auto_build --sourcedirectory bindings/python
	cd bindings/python && $(python3_all) setup.py build
	$(MAKE) -C contrib/notmuch-mutt

override_dh_auto_clean:
	dh_auto_clean
	dh_auto_clean --sourcedirectory bindings/python
	cd bindings/python && $(python3_all) setup.py clean -a
	$(MAKE) -C contrib/notmuch-mutt clean

override_dh_auto_install:
	dh_auto_install
	dh_auto_install --sourcedirectory bindings/python
	cd bindings/python && $(python3_all) setup.py install --install-layout=deb --root=$(CURDIR)/debian/tmp

## notmuch 0.16

=== vim/Makefile ===
prefix = $(HOME)/.vim

INSTALL = install -v -D -m644
D = $(DESTDIR)

all:
	@echo "Nothing to build"

install:
	$(INSTALL) $(CURDIR)/notmuch.vim $(D)$(prefix)/plugin/notmuch.vim
	@$(foreach file,$(wildcard syntax/*), \
		$(INSTALL) $(CURDIR)/$(file) $(D)$(prefix)/$(file);)

.PHONY: all install

=== debian/changelog ===
notmuch (0.16-1~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.

 -- David Bremner <bremner@debian.org>  Sun, 01 Sep 2013 19:04:32 -0300

notmuch (0.16-1) unstable; urgency=low

  * New upstream feature release
    - 'notmuch insert' command replaces notmuch-deliver (Closes: #692889).
    - New ruby based vim interface (Closes: 616692, 636707).
  * Provide a notmuch-dbg package, thanks to Daniel Kahn Gillmor
    (Closes: #717339).
  * Include alot to the list of recommended interfaces, thanks to
    Simon Chopin (Closes: #709832).

 -- David Bremner <bremner@debian.org>  Sat, 03 Aug 2013 08:28:39 -0300

## notmuch 0.17

=== Makefile ===
--- 
+++ 
@@ -2,9 +2,10 @@
 # given explicitly on the command line) so mention it first.
 all:
 
-# List all subdirectories here. Each contains its own Makefile.local
-subdirs := compat completion emacs lib man parse-time-string
-subdirs += performance-test util test
+# List all subdirectories here. Each contains its own Makefile.local.
+# Use of '=', without '+=', seems to be required for out-of-tree
+# builds to work.
+subdirs = compat completion emacs lib man parse-time-string performance-test util test
 
 # We make all targets depend on the Makefiles themselves.
 global_deps = Makefile Makefile.config Makefile.local \

=== completion/Makefile ===
# See Makefile.local for the list of files to be compiled in this
# directory.
all:
	$(MAKE) -C .. all

.DEFAULT:
	$(MAKE) -C .. $@

=== contrib/notmuch-mutt/Makefile ===
NAME = notmuch-mutt

all: $(NAME) $(NAME).1

$(NAME).1: $(NAME)
	pod2man $< > $@

README.html: README
	markdown $< > $@

clean:
	rm -f notmuch-mutt.1 README.html

=== debian/changelog ===
notmuch (0.17-3) unstable; urgency=medium

  * update notmuch-emacs for debian emacs policy 2.0.6
  * Update emacs test suite for Hurd compatibility

 -- David Bremner <bremner@debian.org>  Sun, 12 Jan 2014 17:07:16 -0400

notmuch (0.17-2) unstable; urgency=medium

  * Bug fix: "package should warn in a NEWS.Debian file about possible
    pre-upgrade action", thanks to Jonas Smedegaard (Closes: #733853).

 -- David Bremner <bremner@debian.org>  Wed, 01 Jan 2014 07:44:25 -0400

notmuch (0.17-1) unstable; urgency=low

  * New upstream feature release. See /usr/share/doc/notmuch/NEWS.gz
    for details.  Highlights include:
    - notmuch compact command (Closes: #720543).
    - emacs "tree" view
  * Remove madduck from uploaders (Closes: #719100).

 -- David Bremner <bremner@debian.org>  Mon, 30 Dec 2013 20:28:20 -0400

notmuch (0.17~rc4-1) experimental; urgency=low

  * New upstream release candidate

 -- David Bremner <bremner@debian.org>  Sat, 28 Dec 2013 18:30:06 -0400

notmuch (0.17~rc3-1) experimental; urgency=low

  * New upstream release candidate

 -- David Bremner <bremner@debian.org>  Sat, 07 Dec 2013 17:05:11 +0800

notmuch (0.17~rc2-1) experimental; urgency=low

  * New upstream release candidate
  * Remove gdb as build-dep on s390x. This implicitly disables failing
    atomicity test.  For more information, see #728705

 -- David Bremner <bremner@debian.org>  Sun, 24 Nov 2013 19:34:28 -0400

notmuch (0.17~rc1-1) experimental; urgency=low

  * New upstream release candidate

 -- David Bremner <bremner@debian.org>  Wed, 20 Nov 2013 19:27:48 -0400

=== debian/control ===
--- 
+++ 
@@ -15,9 +15,10 @@
  libz-dev,
  python-all (>= 2.6.6-3~),
  python3-all (>= 3.1.2-7~),
+ ruby, ruby-dev (>>1:1.9.3~),
  emacs23-nox | emacs23 (>=23~) | emacs23-lucid (>=23~) |
  emacs24-nox | emacs24 (>=24~) | emacs24-lucid (>=24~),
- gdb,
+ gdb [!s390x !ia64],
  dtach (>= 0.8)
 Standards-Version: 3.9.4
 Homepage: http://notmuchmail.org/
@@ -27,7 +28,7 @@
 Package: notmuch
 Architecture: any
 Depends: libnotmuch3 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
-Recommends: notmuch-emacs | notmuch-vim | notmuch-mutt,  gnupg-agent
+Recommends: notmuch-emacs | notmuch-vim | notmuch-mutt | alot,  gnupg-agent
 Description: thread-based email index, search and tagging
  Notmuch is a system for indexing, searching, reading, and tagging
  large collections of email messages in maildir or mh format. It uses
@@ -89,11 +90,25 @@
  This package provides a Python 3 interface to the notmuch
  functionality, directly interfacing with a shared notmuch library.
 
+Package: ruby-notmuch
+Architecture: any
+Section: ruby
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: Ruby interface to the notmuch mail search and index library
+ Notmuch is a system for indexing, searching, reading, and tagging
+ large collections of email messages in maildir or mh format. It uses
+ the Xapian library to provide fast, full-text search with a very
+ convenient search syntax.
+ .
+ This package provides a Ruby interface to the notmuch
+ functionality, directly interfacing with a shared notmuch library.
+
 Package: notmuch-emacs
 Architecture: all
 Section: mail
 Breaks: notmuch (<<0.6~254~)
 Replaces: notmuch (<<0.6~254~)
+Conflicts: emacsen-common (<< 2.0.0)
 Depends: ${misc:Depends}, notmuch (>= ${source:Version}),
  emacs23 (>= 23~) | emacs23-nox (>=23~) | emacs23-lucid (>=23~) |
  emacs24 (>= 24~) | emacs24-nox (>=24~) | emacs24-lucid (>=24~)
@@ -111,7 +126,8 @@
 Section: mail
 Breaks: notmuch (<<0.6~254~)
 Replaces: notmuch (<<0.6~254~)
-Depends: ${misc:Depends}, notmuch, vim-addon-manager
+Depends: ${misc:Depends}, notmuch, vim-addon-manager, vim-ruby, ruby-notmuch
+Recommends: ruby-mail
 Description: thread-based email index, search and tagging (vim interface)
  Notmuch is a system for indexing, searching, reading, and tagging
  large collections of email messages in maildir or mh format. It uses
@@ -127,9 +143,8 @@
  notmuch (>= 0.4),
  libmail-box-perl, libmailtools-perl,
  libstring-shellquote-perl, libterm-readline-gnu-perl,
- libfile-which-perl,
  ${misc:Depends}
-Recommends: mutt, fdupes
+Recommends: mutt
 Enhances: notmuch, mutt
 Description: thread-based email index, search and tagging (Mutt interface)
  notmuch-mutt provides integration among the Mutt mail user agent and
@@ -140,3 +155,17 @@
  a fresh Maildir containing its search results only. The second one is
  the ability to reconstruct threads on the fly starting from the
  current highlighted mail.
+
+Package: notmuch-dbg
+Architecture: any
+Section: debug
+Priority: extra
+Depends: ${shlibs:Depends}, ${misc:Depends}, libnotmuch3 (= ${binary:Version})
+Description: thread-based email index, search and tagging - debugging symbols
+ Notmuch is a system for indexing, searching, reading, and tagging
+ large collections of email messages in maildir or mh format. It uses
+ the Xapian library to provide fast, full-text search with a very
+ convenient search syntax.
+ .
+ This package contains the debugging symbols for libnotmuch and the
+ notmuch binary. Most people will not need this package.

=== debian/rules ===
--- 
+++ 
@@ -9,18 +9,24 @@
 	dh_auto_configure -- --emacslispdir=/usr/share/emacs/site-lisp/notmuch
 
 override_dh_auto_build:
-	dh_auto_build
+	dh_auto_build -- V=1
 	dh_auto_build --sourcedirectory bindings/python
 	cd bindings/python && $(python3_all) setup.py build
+	cd bindings/ruby && ruby extconf.rb --vendor && make
 	$(MAKE) -C contrib/notmuch-mutt
 
 override_dh_auto_clean:
 	dh_auto_clean
 	dh_auto_clean --sourcedirectory bindings/python
 	cd bindings/python && $(python3_all) setup.py clean -a
+	dh_auto_clean --sourcedirectory bindings/ruby
 	$(MAKE) -C contrib/notmuch-mutt clean
 
 override_dh_auto_install:
 	dh_auto_install
 	dh_auto_install --sourcedirectory bindings/python
 	cd bindings/python && $(python3_all) setup.py install --install-layout=deb --root=$(CURDIR)/debian/tmp
+	dh_auto_install --sourcedirectory bindings/ruby
+
+override_dh_strip:
+	dh_strip --dbg-package notmuch-dbg

## notmuch 0.18.1

=== debian/changelog ===
notmuch (0.18.1-2~bpo70+1) wheezy-backports; urgency=medium

  * Downgrade dependency on emacsen-common to 2.0.5
  * Rebuild for wheezy-backports.

 -- David Bremner <bremner@debian.org>  Tue, 26 Aug 2014 10:57:51 -0700

notmuch (0.18.1-2) unstable; urgency=medium

  * Update build-deps to use emacs24 on buildd (Closes: #756085)
  * Disable gdb atomicity test for arm64 as gdb is currently broken on
    the (unofficial) buildds
  * Re-enable atomicity test on armhf; upstream fix seems to have
    worked.

 -- David Bremner <bremner@debian.org>  Sat, 09 Aug 2014 11:48:10 -0300

notmuch (0.18.1-1) unstable; urgency=medium

  * New upstream bug fix release
    - Re-enable support for single-message mbox files
    - Fix for phrase indexing
    - Make tagging empty query in Emacs harmless

 -- David Bremner <bremner@debian.org>  Wed, 25 Jun 2014 07:20:45 -0300

notmuch (0.18.1~rc0-1) experimental; urgency=medium

  * New upstream bug fix release (candidate)
  * Tighten dependence of python packages on libnotmuch
    (Closes: #749881).
  * Redo emacsen-install script from sample in emacsen-common
    (Closes: #739839).

 -- David Bremner <bremner@debian.org>  Sat, 14 Jun 2014 07:50:28 -0300

notmuch (0.18-3) unstable; urgency=medium

  * Disable atomicity tests on armel.

 -- David Bremner <bremner@debian.org>  Thu, 08 May 2014 14:26:45 +0900

notmuch (0.18-2) unstable; urgency=medium

  * Disable atomicity tests on armhf. These should be re-enabled when
    upstream relases a fix for this (in progress).

 -- David Bremner <bremner@debian.org>  Thu, 08 May 2014 08:28:33 +0900

notmuch (0.18-1) unstable; urgency=medium

  * New upstream release. For detailed release notes see
    see /usr/share/doc/notmuch/NEWS.gz. Some highlights:
    - Changes/enhancements to searching for messages by filesystem
      location ('folder:' and 'path:' prefixes).
    - Saved searches in Emacs have also been enhanced to allow
      distinct search orders for each one.
    - Another enhancement to the Emacs interface is that replies to
      encrypted messages are now encrypted, reducing the risk of
      unintentional information disclosure.
    - The default dump output format has changed to the more robust
      'batch-tag' format.
    - The previously deprecated parsing of single message mboxes has
      been removed.

 -- David Bremner <bremner@debian.org>  Tue, 06 May 2014 16:20:39 +0900

notmuch (0.18~rc1-1) experimental; urgency=low

  * Upstream release candidate
    - include encoding fix for vim client.

 -- David Bremner <bremner@debian.org>  Sun, 04 May 2014 07:29:51 +0900

notmuch (0.18~rc0-1) experimental; urgency=low

  * Upstream release candidate.
  * Bug fix: "insufficient sanitization of arguments to notmuch CLI",
    thanks to Antoine Beaupré (Closes: #737496).
  * Bug fix: "notmuch(1) manpage: typo: int -> in", thanks to Jakub
    Wilk (Closes: #739556).
  * Bug fix: "get a quiet option", thanks to Joerg Jaspert (Closes:
    #666027).
  * Bug fix: "Please remove me from Uploaders", thanks to martin f
    krafft (Closes: #719100).
  * Bug fix: "M-x notmuch-show-reply on an encrypted message should
    insert encryption tags into the mml buffer", thanks to Daniel Kahn
    Gillmor (Closes: #704648).

 -- David Bremner <bremner@debian.org>  Tue, 22 Apr 2014 09:27:29 +0900

notmuch (0.17-5) unstable; urgency=medium

  * Bug fix: "unowned directory after purge: /0755/", thanks to
    Andreas Beckmann (Closes: #740325).

 -- David Bremner <bremner@debian.org>  Mon, 03 Mar 2014 07:29:06 -0400

notmuch (0.17-4) unstable; urgency=medium

  * Bug fix: "Please update ruby binary extension install path",
    thanks to Christian Hofstaedtler (Closes: #739120).

 -- David Bremner <bremner@debian.org>  Tue, 18 Feb 2014 21:37:44 -0400

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Carl Worth <cworth@debian.org>
 Uploaders:
  Jameson Graef Rollins <jrollins@finestructure.net>,
- martin f. krafft <madduck@debian.org>,
  David Bremner <bremner@debian.org>
+Build-Conflicts: ruby1.8
 Build-Depends:
  debhelper (>= 9),
  pkg-config,
@@ -15,11 +15,13 @@
  libz-dev,
  python-all (>= 2.6.6-3~),
  python3-all (>= 3.1.2-7~),
+ python-sphinx (>= 1.0),
  ruby, ruby-dev (>>1:1.9.3~),
- emacs23-nox | emacs23 (>=23~) | emacs23-lucid (>=23~) |
- emacs24-nox | emacs24 (>=24~) | emacs24-lucid (>=24~),
- gdb [!s390x !ia64],
- dtach (>= 0.8)
+ emacs24-nox | emacs24 (>=24~) | emacs24-lucid (>=24~) |
+ emacs23-nox | emacs23 (>=23~) | emacs23-lucid (>=23~),
+ gdb [!s390x !ia64 !armel !arm64],
+ dtach (>= 0.8),
+ bash-completion (>=1.9.0~)
 Standards-Version: 3.9.4
 Homepage: http://notmuchmail.org/
 Vcs-Git: git://notmuchmail.org/git/notmuch
@@ -67,7 +69,7 @@
 Package: python-notmuch
 Architecture: all
 Section: python
-Depends: ${misc:Depends}, ${python:Depends}, libnotmuch3
+Depends: ${misc:Depends}, ${python:Depends}, libnotmuch3 (>= ${source:Version})
 Description: python interface to the notmuch mail search and index library
  Notmuch is a system for indexing, searching, reading, and tagging
  large collections of email messages in maildir or mh format. It uses
@@ -80,7 +82,7 @@
 Package: python3-notmuch
 Architecture: all
 Section: python
-Depends: ${misc:Depends}, ${python3:Depends}, libnotmuch3
+Depends: ${misc:Depends}, ${python3:Depends}, libnotmuch3 (>= ${source:Version})
 Description: Python 3 interface to the notmuch mail search and index library
  Notmuch is a system for indexing, searching, reading, and tagging
  large collections of email messages in maildir or mh format. It uses
@@ -108,10 +110,10 @@
 Section: mail
 Breaks: notmuch (<<0.6~254~)
 Replaces: notmuch (<<0.6~254~)
-Conflicts: emacsen-common (<< 2.0.0)
 Depends: ${misc:Depends}, notmuch (>= ${source:Version}),
  emacs23 (>= 23~) | emacs23-nox (>=23~) | emacs23-lucid (>=23~) |
- emacs24 (>= 24~) | emacs24-nox (>=24~) | emacs24-lucid (>=24~)
+ emacs24 (>= 24~) | emacs24-nox (>=24~) | emacs24-lucid (>=24~),
+ emacsen-common (>= 2.0.5)
 Description: thread-based email index, search and tagging (emacs interface)
  Notmuch is a system for indexing, searching, reading, and tagging
  large collections of email messages in maildir or mh format. It uses

## notmuch 0.18.2

=== debian/changelog ===
notmuch (0.18.2-1+rpi1) jessie-staging; urgency=medium

  * Disable testsuite.

 -- Peter Michael Green <plugwash@raspbian.org>  Sun, 15 Mar 2015 12:25:46 +0000

notmuch (0.18.2-1) unstable; urgency=medium

  * Rebuild for unstable.
  * Translate T380-atomicity to use gdb/python
  * Emacs 24.4 related bug fixes
  * Simplify T360-symbol-hiding, port to ppc64el

 -- David Bremner <bremner@debian.org>  Sat, 25 Oct 2014 18:19:53 +0200

notmuch (0.18.2~rc1-1) experimental; urgency=medium

  * Test suite bug and portability fix release.

 -- David Bremner <bremner@debian.org>  Sat, 25 Oct 2014 10:48:16 +0200

=== debian/rules ===
--- 
+++ 
@@ -30,3 +30,6 @@
 
 override_dh_strip:
 	dh_strip --dbg-package notmuch-dbg
+
+override_dh_auto_test:
+	echo testsuite disabled.

## notmuch 0.20.2

=== debian/changelog ===
notmuch (0.20.2-1ubuntu2) wily; urgency=medium

  * No-change rebuild to add ruby2.2 support.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 08 Sep 2015 14:50:14 +0000

notmuch (0.20.2-1ubuntu1) wily; urgency=medium

  * debian/rules: Call dh_auto_test with TERM=vt100, as the
    testsuite fails fairly spectacularly with TERM=unknown.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 10 Aug 2015 16:36:58 -0600

notmuch (0.20.2-1build1) wily; urgency=medium

  * No-change rebuild against libxapian22v5.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 06 Aug 2015 09:10:10 +0200

notmuch (0.20.2-1) unstable; urgency=medium

  * Bug fix: "notmuch-tree does not mark messages as read", thanks to
    Raúl Benencia (Closes: #789693).

 -- David Bremner <bremner@debian.org>  Sat, 27 Jun 2015 15:03:33 +0200

notmuch (0.20.1-1) unstable; urgency=medium

  * Bug fix: "FTBFS on arm64", thanks to Edmund Grimley Evans (Closes:
    #787341).

 -- David Bremner <bremner@debian.org>  Mon, 01 Jun 2015 21:58:54 +0200

notmuch (0.20-1) unstable; urgency=medium

  * New upstream release
    - new mimetype search prefix
    - improvements to emacs, vim, and mutt front-ends
    - undeprecate single message mboxes.
    - reduced noise on stderr from the library
    - improved API for notmuch_query_search_{messages, thread}

 -- David Bremner <bremner@debian.org>  Sun, 31 May 2015 11:21:14 +0200

notmuch (0.20~rc2-1) experimental; urgency=medium

  * New upstream release candidate.
  * Fix breakage of python bindings under python3

 -- David Bremner <bremner@debian.org>  Sat, 23 May 2015 21:05:03 +0200

notmuch (0.20~rc1-1) experimental; urgency=medium

  * New upstream release candidate

 -- David Bremner <bremner@debian.org>  Mon, 04 May 2015 08:08:00 +0200

notmuch (0.19-1) experimental; urgency=medium

  * New upstream release.
    - Improvements to reliability of 'notmuch dump' and the error
    handling for 'notmuch insert'.
    - The new 'notmuch address' command is intended to make searching
    for email addresses more convenient.
    - At the library level the revised handling of missing messages
    fixes at least one bug in threading.
    - Interface improvements to the emacs interface, most notably the
    ability to bindkeyboard shortcuts to saved searches.

 -- David Bremner <bremner@debian.org>  Fri, 14 Nov 2014 19:34:12 +0100

notmuch (0.19~rc2-1) experimental; urgency=medium

  * New upstream release candidate
  * Updated defaults for "notmuch address"
  * Assert compliance with policy 3.9.6

 -- David Bremner <bremner@debian.org>  Sun, 09 Nov 2014 16:46:31 +0100

notmuch (0.19~rc1-1) experimental; urgency=low

  * New upstream release candidate
  * Bump libnotmuch SONAME because of API changes

 -- David Bremner <bremner@debian.org>  Thu, 06 Nov 2014 00:30:39 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: notmuch
 Section: mail
 Priority: optional
-Maintainer: Carl Worth <cworth@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Carl Worth <cworth@debian.org>
 Uploaders:
  Jameson Graef Rollins <jrollins@finestructure.net>,
  David Bremner <bremner@debian.org>
@@ -15,21 +16,22 @@
  libz-dev,
  python-all (>= 2.6.6-3~),
  python3-all (>= 3.1.2-7~),
+ dh-python,
  python-sphinx (>= 1.0),
  ruby, ruby-dev (>>1:1.9.3~),
  emacs24-nox | emacs24 (>=24~) | emacs24-lucid (>=24~) |
  emacs23-nox | emacs23 (>=23~) | emacs23-lucid (>=23~),
- gdb [!s390x !ia64 !armel !arm64],
+ gdb [!s390x !ia64 !armel],
  dtach (>= 0.8),
  bash-completion (>=1.9.0~)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Homepage: http://notmuchmail.org/
 Vcs-Git: git://notmuchmail.org/git/notmuch
 Vcs-Browser: http://git.notmuchmail.org/git/notmuch
 
 Package: notmuch
 Architecture: any
-Depends: libnotmuch3 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: libnotmuch4 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Recommends: notmuch-emacs | notmuch-vim | notmuch-mutt | alot,  gnupg-agent
 Description: thread-based email index, search and tagging
  Notmuch is a system for indexing, searching, reading, and tagging
@@ -39,7 +41,7 @@
  .
  This package contains the notmuch command-line interface
 
-Package: libnotmuch3
+Package: libnotmuch4
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -56,7 +58,7 @@
 Package: libnotmuch-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libnotmuch3 (= ${binary:Version})
+Depends: ${misc:Depends}, libnotmuch4 (= ${binary:Version})
 Description: thread-based email index, search and tagging (development)
  Notmuch is a system for indexing, searching, reading, and tagging
  large collections of email messages in maildir or mh format. It uses
@@ -69,7 +71,7 @@
 Package: python-notmuch
 Architecture: all
 Section: python
-Depends: ${misc:Depends}, ${python:Depends}, libnotmuch3 (>= ${source:Version})
+Depends: ${misc:Depends}, ${python:Depends}, libnotmuch4 (>= ${source:Version})
 Description: python interface to the notmuch mail search and index library
  Notmuch is a system for indexing, searching, reading, and tagging
  large collections of email messages in maildir or mh format. It uses
@@ -82,7 +84,7 @@
 Package: python3-notmuch
 Architecture: all
 Section: python
-Depends: ${misc:Depends}, ${python3:Depends}, libnotmuch3 (>= ${source:Version})
+Depends: ${misc:Depends}, ${python3:Depends}, libnotmuch4 (>= ${source:Version})
 Description: Python 3 interface to the notmuch mail search and index library
  Notmuch is a system for indexing, searching, reading, and tagging
  large collections of email messages in maildir or mh format. It uses
@@ -113,7 +115,7 @@
 Depends: ${misc:Depends}, notmuch (>= ${source:Version}),
  emacs23 (>= 23~) | emacs23-nox (>=23~) | emacs23-lucid (>=23~) |
  emacs24 (>= 24~) | emacs24-nox (>=24~) | emacs24-lucid (>=24~),
- emacsen-common (>= 2.0.5)
+ emacsen-common (>= 2.0.8)
 Description: thread-based email index, search and tagging (emacs interface)
  Notmuch is a system for indexing, searching, reading, and tagging
  large collections of email messages in maildir or mh format. It uses
@@ -162,7 +164,7 @@
 Architecture: any
 Section: debug
 Priority: extra
-Depends: ${shlibs:Depends}, ${misc:Depends}, libnotmuch3 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libnotmuch4 (= ${binary:Version})
 Description: thread-based email index, search and tagging - debugging symbols
  Notmuch is a system for indexing, searching, reading, and tagging
  large collections of email messages in maildir or mh format. It uses

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,14 @@
 	dh $@ --with python2,python3
 
 override_dh_auto_configure:
-	dh_auto_configure -- --emacslispdir=/usr/share/emacs/site-lisp/notmuch
+	./configure --prefix=/usr \
+		--libdir=/usr/lib/$$(dpkg-architecture -q DEB_TARGET_MULTIARCH) \
+		--includedir=/usr/include \
+		--mandir=/usr/share/man \
+		--infodir=/usr/share/info \
+		--sysconfdir=/etc \
+		--localstatedir=/var \
+		--emacslispdir=/usr/share/emacs/site-lisp/notmuch
 
 override_dh_auto_build:
 	dh_auto_build -- V=1
@@ -32,4 +39,4 @@
 	dh_strip --dbg-package notmuch-dbg
 
 override_dh_auto_test:
-	echo testsuite disabled.
+	TERM=vt100 dh_auto_test

## notmuch 0.21

=== Makefile ===
--- 
+++ 
@@ -1,15 +1,6 @@
 # We want the all target to be the implicit target (if no target is
 # given explicitly on the command line) so mention it first.
 all:
-
-# List all subdirectories here. Each contains its own Makefile.local.
-# Use of '=', without '+=', seems to be required for out-of-tree
-# builds to work.
-subdirs = compat completion emacs lib man parse-time-string performance-test util test
-
-# We make all targets depend on the Makefiles themselves.
-global_deps = Makefile Makefile.config Makefile.local \
-	$(subdirs:%=%/Makefile) $(subdirs:%=%/Makefile.local)
 
 # Sub-directory Makefile.local fragments can append to these variables
 # to have directory-specific cflags as necessary.
@@ -26,6 +17,11 @@
 srcdir ?= .
 
 include Makefile.config
+
+# We make all targets depend on the Makefiles themselves.
+global_deps = Makefile Makefile.config Makefile.local \
+	$(subdirs:%=%/Makefile) $(subdirs:%=%/Makefile.local)
+
 Makefile.config: $(srcdir)/configure
 ifeq ($(configure_options),)
 	@echo ""

=== debian/changelog ===
notmuch (0.21-3ubuntu2) xenial; urgency=medium

  * No-change rebuild for ruby2.3-only support.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 13 Mar 2016 21:15:07 +0000

notmuch (0.21-3ubuntu1) xenial; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/rules:
      + Call dh_auto_test with TERM=vt100, as the
        testsuite fails fairly spectacularly with TERM=unknown.

 -- Artur Rona <ari-tczew@ubuntu.com>  Fri, 01 Jan 2016 21:15:00 +0100

notmuch (0.21-3) unstable; urgency=medium

  * Add mips and mips64el to gdb build-dep blacklist

 -- David Bremner <bremner@debian.org>  Sat, 14 Nov 2015 19:07:06 -0400

notmuch (0.21-2) unstable; urgency=medium

  * Build-conflict with gdb on ppc64el and mipsel. Workaround gdb breakage on those
    architectures (Closes: #804792).

 -- David Bremner <bremner@debian.org>  Thu, 12 Nov 2015 08:54:23 -0400

notmuch (0.21-1) unstable; urgency=medium

  * New upstream release. Highlights include
    - revision tracking for metadata
    - new features and bug fixes for emacs interface
    See /usr/share/doc/notmuch/NEWS for more details.

 -- David Bremner <bremner@debian.org>  Thu, 29 Oct 2015 20:04:42 -0300

notmuch (0.21~rc3-3) experimental; urgency=medium

  * Build-conflict with gdb-minimal. gdb python scripts are needed for
    the test suite

 -- David Bremner <bremner@debian.org>  Sun, 25 Oct 2015 22:08:56 -0300

notmuch (0.21~rc3-2) experimental; urgency=medium

  * Bug fix: "reply-to encrypted messages in tree view fails to quote
    and defaults to unencrypted message", thanks to Vagrant Cascadian
    (Closes: #795243).
  * Bug fix: "install/notmuch-emacs may interact with console, fail
    emacs24 upgrade", thanks to Hilko Bengen (Closes: #802952).

 -- David Bremner <bremner@debian.org>  Sun, 25 Oct 2015 13:42:57 -0300

notmuch (0.21~rc3-1) experimental; urgency=medium

  * New upstream release candidate

 -- David Bremner <bremner@debian.org>  Thu, 22 Oct 2015 09:19:02 -0300

notmuch (0.21~rc2-1) experimental; urgency=medium

  * New upstream release candidate

 -- David Bremner <bremner@debian.org>  Mon, 19 Oct 2015 07:25:10 -0300

notmuch (0.21~rc1-1) experimental; urgency=medium

  * New upstream release candidate

 -- David Bremner <bremner@debian.org>  Thu, 15 Oct 2015 08:08:17 -0300

notmuch (0.20.2-2) unstable; urgency=medium

  * Fix linking in emacsen-install script. The previous version can
    break an emacs upgrade.

 -- David Bremner <bremner@debian.org>  Sat, 26 Sep 2015 09:26:41 -0300

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders:
  Jameson Graef Rollins <jrollins@finestructure.net>,
  David Bremner <bremner@debian.org>
-Build-Conflicts: ruby1.8
+Build-Conflicts: ruby1.8, gdb-minimal, gdb [s390x ia64 armel ppc64el mips mipsel mips64el]
 Build-Depends:
  debhelper (>= 9),
  pkg-config,
@@ -21,7 +21,7 @@
  ruby, ruby-dev (>>1:1.9.3~),
  emacs24-nox | emacs24 (>=24~) | emacs24-lucid (>=24~) |
  emacs23-nox | emacs23 (>=23~) | emacs23-lucid (>=23~),
- gdb [!s390x !ia64 !armel],
+ gdb [!s390x !ia64 !armel !ppc64el !mips !mipsel !mips64el],
  dtach (>= 0.8),
  bash-completion (>=1.9.0~)
 Standards-Version: 3.9.6

=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,6 @@
 	dh_auto_build -- V=1
 	dh_auto_build --sourcedirectory bindings/python
 	cd bindings/python && $(python3_all) setup.py build
-	cd bindings/ruby && ruby extconf.rb --vendor && make
 	$(MAKE) -C contrib/notmuch-mutt
 
 override_dh_auto_clean:

## notmuch 0.22

=== contrib/notmuch-vim/Makefile ===
.PHONY: all help install link symlink

files = plugin/notmuch.vim \
	$(wildcard syntax/notmuch-*.vim)
prefix = $(HOME)/.vim
destdir = $(prefix)/plugin

INSTALL = install -D -m644

all: help

help:
	@echo "I don't actually build anything, but I will help you install"
	@echo "notmuch support for vim."
	@echo
	@echo "    make install     - copy plugin scripts and syntax files to ~/.vim"
	@echo "    make symlink     - create symlinks in ~/.vim (useful for development)"

install:
	@for x in $(files); do $(INSTALL) $(CURDIR)/$$x $(prefix)/$$x; done

link symlink: INSTALL = ln -fs
link symlink: install

## notmuch 0.22.1

=== debian/changelog ===
notmuch (0.22.1-3ubuntu2) yakkety; urgency=medium

  * Ignore testsuite on armhf, seems a bug in gdb
    (according to Debian maintainer)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 31 Aug 2016 17:21:08 +0200

notmuch (0.22.1-3ubuntu1) yakkety; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/rules:
      + Call dh_auto_test with TERM=vt100, as the
        testsuite fails fairly spectacularly with TERM=unknown.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 31 Aug 2016 15:55:55 +0200

notmuch (0.22.1-3) unstable; urgency=medium

  * Gag gdb even more. Bug fix: "FTBFS in testing", thanks to Santiago
    Vila (Closes: #834271).

 -- David Bremner <bremner@debian.org>  Sun, 14 Aug 2016 13:31:13 +0900

notmuch (0.22.1-2ubuntu1) yakkety; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/rules:
      + Call dh_auto_test with TERM=vt100, as the
        testsuite fails fairly spectacularly with TERM=unknown.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 11 Aug 2016 15:44:48 +0200

notmuch (0.22.1-2) unstable; urgency=medium

  * Add explicit build-depends on gnupg, for the test suite.

 -- David Bremner <bremner@debian.org>  Tue, 19 Jul 2016 08:50:13 -0300

notmuch (0.22.1-1) unstable; urgency=medium

  * Correct the definition of `LIBNOTMUCH_CHECK_VERSION`.
  * Document the (lack of) operations permitted on a closed database
    (Closes: #826843).
  * Fix race condition in dump / restore tests.
  * [notmuch-emacs] Tell `message-mode` mode that outgoing messages are mail
  * [notmuch-emacs] Respect charset of MIME parts when reading them

 -- David Bremner <bremner@debian.org>  Tue, 19 Jul 2016 06:42:09 -0300

notmuch (0.22.1~rc0-1) experimental; urgency=medium

  * release candidate for bugfix release

 -- David Bremner <bremner@debian.org>  Thu, 30 Jun 2016 21:28:13 +0200

notmuch (0.22-1) unstable; urgency=medium

  * New upstream release.  See /usr/share/doc/notmuch/NEWS for new
    features and bug fixes.

 -- David Bremner <bremner@debian.org>  Tue, 26 Apr 2016 21:31:44 -0300

notmuch (0.22~rc1-1) experimental; urgency=medium

  * Upstream release candidate

 -- David Bremner <bremner@debian.org>  Sun, 24 Apr 2016 18:03:15 -0300

notmuch (0.22~rc0-1) experimental; urgency=medium

  * Upstream release candidate

 -- David Bremner <bremner@debian.org>  Sat, 16 Apr 2016 08:45:32 -0300

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
  David Bremner <bremner@debian.org>
 Build-Conflicts: ruby1.8, gdb-minimal, gdb [s390x ia64 armel ppc64el mips mipsel mips64el]
 Build-Depends:
+ dpkg-dev (>= 1.17.14),
  debhelper (>= 9),
  pkg-config,
  libxapian-dev,
@@ -23,6 +24,8 @@
  emacs23-nox | emacs23 (>=23~) | emacs23-lucid (>=23~),
  gdb [!s390x !ia64 !armel !ppc64el !mips !mipsel !mips64el],
  dtach (>= 0.8),
+ gpgsm <!nocheck>,
+ gnupg <!nocheck>,
  bash-completion (>=1.9.0~)
 Standards-Version: 3.9.6
 Homepage: http://notmuchmail.org/
@@ -32,7 +35,7 @@
 Package: notmuch
 Architecture: any
 Depends: libnotmuch4 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
-Recommends: notmuch-emacs | notmuch-vim | notmuch-mutt | alot,  gnupg-agent
+Recommends: notmuch-emacs | notmuch-vim | notmuch-mutt | alot,  gnupg-agent, gpgsm
 Description: thread-based email index, search and tagging
  Notmuch is a system for indexing, searching, reading, and tagging
  large collections of email messages in maildir or mh format. It uses

=== debian/rules ===
--- 
+++ 
@@ -38,4 +38,8 @@
 	dh_strip --dbg-package notmuch-dbg
 
 override_dh_auto_test:
+ifeq ($(DEB_HOST_ARCH),armhf)
+	TERM=vt100 dh_auto_test || true
+else
 	TERM=vt100 dh_auto_test
+endif

## notmuch 0.23.1

=== debian/changelog ===
notmuch (0.23.1-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- David Bremner <bremner@debian.org>  Wed, 02 Nov 2016 08:09:41 -0300

notmuch (0.23.1-1) unstable; urgency=medium

  * New upstream bugfix release
  * Fix test suite for Emacs 25.1
  * Fix some Emacs customization regressions introduced in 0.23
  * Bug fix: "testsuite fails with TERM=unknown", thanks to Gianfranco
    Costamagna (Closes: #841319).

 -- David Bremner <bremner@debian.org>  Sun, 23 Oct 2016 22:06:12 -0300

notmuch (0.23-2) unstable; urgency=medium

  * upload to unstable

 -- David Bremner <bremner@debian.org>  Wed, 05 Oct 2016 21:27:00 -0300

notmuch (0.23-1) experimental; urgency=medium

  * New upstream release
  * Bump minor version of libnotmuch4 because of new symbols.
  * Several new features, see /usr/share/doc/notmuch/NEWS.gz

 -- David Bremner <bremner@debian.org>  Mon, 03 Oct 2016 22:46:26 -0300

notmuch (0.23~rc1-1) experimental; urgency=medium

  * New upstream release candidate
  * Make configure more robust on "unknown" platforms. Fixes FTBFS on
    kfreebsd.

 -- David Bremner <bremner@debian.org>  Fri, 30 Sep 2016 07:19:26 -0300

notmuch (0.23~rc0-1) experimental; urgency=medium

  * New upstream release candidate
  * Bug fix: "Calls to notmuch_directory_get_mtime() don't return
    the recently set mtime", thanks to Lars Luthman (Closes: #826881).
  * Bug fix: "Please document compact command", thanks to Olivier
    Berger (Closes: #825884).

 -- David Bremner <bremner@debian.org>  Mon, 26 Sep 2016 07:28:06 -0300

notmuch (0.22-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- David Bremner <bremner@debian.org>  Tue, 28 Jun 2016 16:48:40 +0200

notmuch (0.22.2-1) unstable; urgency=medium

  * Fix test suite compatibility with GnuPG 2.1.15.  Bug fix: "FTBFS:
    Tests failures", thanks to Lucas Nussbaum (Closes: #837013).

 -- David Bremner <bremner@debian.org>  Thu, 08 Sep 2016 19:09:53 -0300

notmuch (0.21-3~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- David Bremner <bremner@debian.org>  Sun, 13 Dec 2015 08:40:37 -0400

notmuch (0.20.2-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- David Bremner <bremner@debian.org>  Fri, 04 Sep 2015 08:52:23 -0300

## notmuch 0.23.5

=== debian/changelog ===
notmuch (0.23.5-1) unstable; urgency=medium

  * Remove RUNPATH from /usr/bin/notmuch

 -- David Bremner <bremner@debian.org>  Mon, 09 Jan 2017 06:24:39 -0400

notmuch (0.23.4-1) unstable; urgency=medium

  * Improve error handling in notmuch insert
  * Restore autoload cookie for notmuch-search (notmuch-emacs)

 -- David Bremner <bremner@debian.org>  Sat, 24 Dec 2016 17:47:48 +0900

notmuch (0.23.3-3) unstable; urgency=medium

  * Disable gdb using tests on kfreebsd-*, due to apparent gdb breakage

 -- David Bremner <bremner@debian.org>  Mon, 05 Dec 2016 08:25:32 -0400

notmuch (0.23.3-2) unstable; urgency=medium

  * Add missing depends to notmuch-emacs. Thanks to micah for the
    report.

 -- David Bremner <bremner@debian.org>  Thu, 01 Dec 2016 08:06:59 -0400

notmuch (0.23.3-1) unstable; urgency=medium

  * Re-enable test suite
  * Fix test suite compatibility with gnupg 2.1.16. Fixes: "FTBFS:
    Tests failures", thanks to Lucas Nussbaum (Closes: #844915).
  * Bug fix: "race condition in `notmuch new`?", thanks to Paul Wise
    (Closes: #843127).

 -- David Bremner <bremner@debian.org>  Sat, 26 Nov 2016 08:37:39 -0400

notmuch (0.23.2-1) unstable; urgency=medium

  * New upstream bugfix release
  * Convert notmuch-emacs to dh-elpa, new binary package elpa-notmuch
  * Bug fix: "maintainer script(s) do not start on #!", thanks to
    treinen@debian.org; (Closes: #843287).

 -- David Bremner <bremner@debian.org>  Thu, 10 Nov 2016 22:36:04 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: notmuch
 Section: mail
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Carl Worth <cworth@debian.org>
+Maintainer: Carl Worth <cworth@debian.org>
 Uploaders:
  Jameson Graef Rollins <jrollins@finestructure.net>,
  David Bremner <bremner@debian.org>
@@ -18,19 +17,20 @@
  python-all (>= 2.6.6-3~),
  python3-all (>= 3.1.2-7~),
  dh-python,
+ dh-elpa (>= 1.3),
  python-sphinx (>= 1.0),
  ruby, ruby-dev (>>1:1.9.3~),
  emacs24-nox | emacs24 (>=24~) | emacs24-lucid (>=24~) |
  emacs23-nox | emacs23 (>=23~) | emacs23-lucid (>=23~),
- gdb [!s390x !ia64 !armel !ppc64el !mips !mipsel !mips64el],
+ gdb [!s390x !ia64 !armel !ppc64el !mips !mipsel !mips64el !kfreebsd-any],
  dtach (>= 0.8),
  gpgsm <!nocheck>,
  gnupg <!nocheck>,
  bash-completion (>=1.9.0~)
 Standards-Version: 3.9.6
-Homepage: http://notmuchmail.org/
+Homepage: https://notmuchmail.org/
 Vcs-Git: git://notmuchmail.org/git/notmuch
-Vcs-Browser: http://git.notmuchmail.org/git/notmuch
+Vcs-Browser: https://git.notmuchmail.org/git/notmuch
 
 Package: notmuch
 Architecture: any
@@ -112,13 +112,13 @@
 
 Package: notmuch-emacs
 Architecture: all
-Section: mail
-Breaks: notmuch (<<0.6~254~)
-Replaces: notmuch (<<0.6~254~)
-Depends: ${misc:Depends}, notmuch (>= ${source:Version}),
- emacs23 (>= 23~) | emacs23-nox (>=23~) | emacs23-lucid (>=23~) |
- emacs24 (>= 24~) | emacs24-nox (>=24~) | emacs24-lucid (>=24~),
- emacsen-common (>= 2.0.8)
+Depends: elpa-notmuch
+Description: thread-based email index, search and tagging (transitional package)
+ This dummy package help ease transition to the new package elpa-notmuch
+
+Package: elpa-notmuch
+Architecture: all
+Depends: ${misc:Depends}, ${elpa:Depends}
 Description: thread-based email index, search and tagging (emacs interface)
  Notmuch is a system for indexing, searching, reading, and tagging
  large collections of email messages in maildir or mh format. It uses
